<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.shcd.mapper.SpStatementYearAnalysisMapper">

    <resultMap id="BaseResultMap" type="com.shcd.entity.SpStatementYearAnalysis">
            <result property="year" column="YEAR" jdbcType="DECIMAL"/>
            <result property="month" column="MONTH" jdbcType="DECIMAL"/>
            <result property="data" column="DATA" jdbcType="DECIMAL"/>
            <result property="circleDiff" column="CIRCLE_DIFF" jdbcType="DECIMAL"/>
            <result property="circleDiffRatio" column="CIRCLE_DIFF_RATIO" jdbcType="DECIMAL"/>
            <result property="id" column="ID" jdbcType="VARCHAR"/>
            <result property="createTime" column="CREATE_TIME" jdbcType="TIMESTAMP"/>
        <result property="dataType" column="DATA_TYPE" jdbcType="INTEGER"/>
    </resultMap>
</mapper>
